vec3 BaseColor = vec3(1.0, 1.0, 1.0);
float MixRatio = 0.5;

varying vec3 Normal; 
varying vec3 EyeDir; 
varying float LightIntensity;

uniform samplerCube envMap;

void main (void)
{
    // compute reflection vector
    vec3 reflectDir = reflect(EyeDir, Normal);

    // Do a lookup into the environment map
    vec3 envColor = vec3 (textureCube( envMap, normalize(reflectDir)));

    // Add lighting to base colour and mix
    vec3 base = LightIntensity * BaseColor;
//    envColor = mix(envColor, base, MixRatio);

    gl_FragColor = vec4(envColor, 1.0);
}